ALLEGRO_PLAYMODE(3)

NAME

ALLEGRO_PLAYMODE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    enum ALLEGRO_PLAYMODE

DESCRIPTION

Sample and stream playback mode.

•   ALLEGRO_PLAYMODE_ONCE - the sample/stream is played from start to finish an then it stops.

•   ALLEGRO_PLAYMODE_LOOP - the sample/stream is played from start to finish (or between the two loop points). When it reaches the end, it restarts from the beginning.

•   ALLEGRO_PLAYMODE_BIDIR - the sample is played from start to finish (or between the two loop points). When it reaches the end, it reverses the playback direction and plays until it reaches the beginning when it reverses the direction back to normal. This is mode is rarely supported for streams.